GET /lead_retargets/new

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/lead_retargets/new

Build Lead Retargeting with defaults.

Return a new, unsaved lead retargeting campaign pre-filled with defaults.

Params

Param name Description
description
Optional Blank value allowed

Description

  • Must be a String

lead_import_id
Optional Blank value allowed

Lead Import

record_token_filter_id
Optional Blank value allowed

Record Token Filter

token_value_ids
Optional Blank value allowed

Token Value Ids

  • Must be a decimal number.

record_token_additional_id
Optional Blank value allowed

Record Token Additional

  • Must be a String

attribution_token_value_ids
Optional Blank value allowed

Attribution Token Value Ids

  • Must be a decimal number.

name
Optional Blank value allowed

The name of this retarget, shown in your retarget list.

  • Must be a String

paused
Optional Blank value allowed

Pause or unpause this retarget. A paused retarget will not process leads.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

data_source_type
Optional Blank value allowed

Where to pull leads from: lead_import to retarget leads from an uploaded Lead Import, or schedule to retarget leads currently on a Schedule.

  • Must be one of: lead_import, schedule.

data_source_schedule_id
Optional Blank value allowed

The Schedule to pull leads from, when data_source_type is schedule.

filter_created_at_from
Optional Blank value allowed

Only include leads created on or after this time, when data_source_type is schedule.

  • Must be a String

filter_created_at_to
Optional Blank value allowed

Only include leads created on or before this time, when data_source_type is schedule.

  • Must be a String

filter_owner_type
Optional Blank value allowed

Only include leads owned by this type of record (Offer or Schedule), when data_source_type is schedule.

  • Must be a String

filter_schedule_trigger_type
Optional Blank value allowed

Only include leads whose end of schedule trigger matches this type, when data_source_type is schedule.

  • Must be a String

filter_traffic_source_id
Optional Blank value allowed

Only include leads attributed to this Traffic Source.

form_step_filter_complete
Optional Blank value allowed

Whether this retarget’s filter step has been completed. Must be true, along with form_step_actions_complete, for the retarget to run.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

form_step_actions_complete
Optional Blank value allowed

Whether this retarget’s actions step has been completed. Must be true, along with form_step_filter_complete, for the retarget to run.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

add_to_schedule_enabled
Optional Blank value allowed

Add matching leads to add_to_schedule_id after this retarget’s actions run.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

add_to_schedule_id
Optional Blank value allowed

The Schedule to add matching leads to, when add_to_schedule_enabled is true.

  • Must be an 8-bit integer ID or a 128-bit UUID reference to an object on Trackdrive. Example ID: 289302820, Example UUID: 924c37d5-e70f-42ad-84c2-e85eb0c1bc21

scrub_is_live
Optional Blank value allowed

Exclude leads that are currently live (on an active call) from this retarget.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

scrub_opt_out
Optional Blank value allowed

Exclude leads whose contact has opted out from this retarget.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

scrub_buyer_attempted
Optional Blank value allowed

Exclude leads with a call that was attempted to a Buyer within the scrub_buyer_attempted_from/scrub_buyer_attempted_to window.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

scrub_buyer_attempted_from
Optional Blank value allowed

The start of the window used by scrub_buyer_attempted.

  • Must be a String

scrub_buyer_attempted_to
Optional Blank value allowed

The end of the window used by scrub_buyer_attempted.

  • Must be a String

scrub_buyer_connected
Optional Blank value allowed

Exclude leads with a call that connected to a Buyer within the scrub_buyer_connected_from/scrub_buyer_connected_to window.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

scrub_buyer_connected_from
Optional Blank value allowed

The start of the window used by scrub_buyer_connected.

  • Must be a String

scrub_buyer_connected_to
Optional Blank value allowed

The end of the window used by scrub_buyer_connected.

  • Must be a String

scrub_buyer_converted
Optional Blank value allowed

Exclude leads with a call that converted for a Buyer within the scrub_buyer_converted_from/scrub_buyer_converted_to window.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

scrub_buyer_converted_from
Optional Blank value allowed

The start of the window used by scrub_buyer_converted.

  • Must be a String

scrub_buyer_converted_to
Optional Blank value allowed

The end of the window used by scrub_buyer_converted.

  • Must be a String

scrub_call_disposition_ids
Optional Blank value allowed

Exclude leads with a call matching any of these Call Dispositions within the scrub_call_disposition_ids_from/scrub_call_disposition_ids_to window.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

scrub_call_disposition_ids_from
Optional Blank value allowed

The start of the window used by scrub_call_disposition_ids.

  • Must be a String

scrub_call_disposition_ids_to
Optional Blank value allowed

The end of the window used by scrub_call_disposition_ids.

  • Must be a String

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of tokens. Example tokens:
    buyer_interest:loan,another_token:value